# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.
---
task-defaults:
    description: "sccache-dist toolchain archive build"
    attributes:
        local-toolchain: true
    worker-type: b-linux-gcp
    run:
        using: toolchain-script
        script: build-dist-toolchains.sh

clang-dist-toolchain:
    treeherder:
        symbol: TL(clang-dist)
    worker:
        max-run-time: 1800
    run:
        arguments: ['clang']
        toolchain-artifact: public/build/clang-dist-toolchain.tar.xz
        toolchain-extract: false
    use-sccache: true
    fetches:
        toolchain:
            - linux64-clang
            - linux64-sccache

rustc-dist-toolchain:
    treeherder:
        symbol: TL(rustc-dist)
    worker:
        max-run-time: 1800
    run:
        arguments: ['rustc']
        toolchain-artifact: public/build/rustc-dist-toolchain.tar.xz
        toolchain-extract: false
    use-sccache: true
    fetches:
        toolchain:
            - linux64-rust-cross
            - linux64-sccache
